# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/daal4py-2021.5.0-python_3.9-numpy_1.16-on-linux_64, last modified Mon Feb 14 15:45:32 2022
# ------------------------------------------------

package:
  name: daal4py
  version: 2021.5.0
source:
  patches:
    - patches/0001-replace-check_estimator_sparse_data-in-tests.patch
  sha256: b0298ed384554077e8c49feb8092e895eb0f93dc98bc059cab8aede8a259acd8
  url: https://github.com/intel/scikit-learn-intelex/archive/2021.5.0.tar.gz
build:
  number: '0'
  string: py39h78b71dc_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2021.10.26 h06a4308_2
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - rhash 1.4.1 h3c74f83_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
    - zstd 1.5.0 ha4553b6_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_2
    - clang 10.0.1 default_hb85057a_2
    - clang-tools 10.0.1 default_hb85057a_2
    - clangxx 10.0.1 default_hb85057a_2
    - cython 0.29.25 py39hdbfa776_0
    - dal 2021.5.1 h06a4308_803
    - dal-devel 2021.5.1 h06a4308_803
    - dal-include 2021.5.1 h06a4308_803
    - intel-openmp 2021.4.0 h06a4308_3561
    - jinja2 3.0.2 pyhd3eb1b0_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libclang 10.0.1 default_hb85057a_2
    - libclang-cpp10 10.0.1 default_hb85057a_2
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 9.3.0 h5101ec6_17
    - libllvm10 10.0.1 hbcb73fb_5
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - markupsafe 2.0.1 py39h27cfd23_0
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py39h7f8727e_0
    - mkl_fft 1.3.1 py39hd3c417c_0
    - mkl_random 1.2.2 py39h51133e4_0
    - mpi 1.0 mpich
    - mpich 3.3.2 hc856adb_0
    - ncurses 6.3 h7f8727e_2
    - numpy 1.16.6 py39h2d18471_3
    - numpy-base 1.16.6 py39hdc34a94_3
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - pybind11 2.8.1 py39hd09550d_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.37.2 hc218d9a_0
    - tbb 2021.5.0 hd09550d_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - dal 2021.5.1.*
    - dal >=2021.5.1,<2022.0a0
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - mpich >=3.3.2,<3.4.0a0
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - cd tests
    - python -c "import daal4py"
    - mpirun -n 4 python -m unittest discover -v -p spmd*.py
    - python -m unittest discover -v -p 'test*.py'
    - pytest --pyargs ../daal4py/sklearn/
    - pytest --pyargs ../onedal/
    - python ../examples/daal4py/run_examples.py
    - python -m daal4py ../examples/daal4py/sycl/sklearn_sycl.py
  requires:
    - lightgbm
    - mpich
    - pandas
    - pytest
    - scikit-learn
    - scipy
    - xgboost
    - zlib
  source_files:
    - daal4py
    - examples
    - onedal
    - tests
about:
  description: '<strong>LEGAL NOTICE: Use of this software package is subject to the

    software license agreement (as set forth above, in the license section of

    the installed Conda package and/or the README file) and all notices,

    disclaimers or license terms for third party or open source software

    included in or with the software.</strong>

    <br/><br/>

    EULA: <a href="https://opensource.org/licenses/Apache-2.0" target="_blank">Apache-2.0</a>

    <br/><br/>

    '
  dev_url: https://github.com/intel/scikit-learn-intelex
  doc_url: https://intelpython.github.io/daal4py
  home: https://intelpython.github.io/daal4py/
  license: Apache-2.0
  license_file:
    - LICENSE
    - doc/daal4py/third-party-programs.txt
  summary: A convenient Python API to Intel (R) oneAPI Data Analytics Library
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - Pahandrovich
    - napetrov
    - vmeshche
